> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Inbound Shipments

> Returns all Inbound Shipments for the WMS connection associated with the provided access token.



## OpenAPI

````yaml get /wms/inbound-shipments
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inbound-shipments:
    get:
      tags:
        - wms
        - Inbound Shipments
      summary: Get All Inbound Shipments
      description: >-
        Returns all Inbound Shipments for the WMS connection associated with the
        provided access token.
      operationId: get_wms_get_inbound_shipments
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/WmsInboundShipmentIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/WmsInboundShipmentCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsInboundShipmentUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentTrackstar_Created_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentTrackstar_Updated_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_tags
          description: >-
            Filter by trackstar tags. Dict-shaped tags should be queried as
            "key:value" strings.
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentTrackstar_Tags_FlatQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: status
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          schema:
            $ref: '#/components/schemas/WmsInboundShipmentStatusQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_customer_id
          description: The ID of the customer associated with the resource
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentWarehouse_Customer_IdQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_id
          description: >-
            Filter by the ID of the warehouse that will be receiving the
            shipment.
          schema:
            $ref: '#/components/schemas/WmsInboundShipmentWarehouse_IdQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: expected_arrival_date
          description: The date the shipment is expected to arrive at the warehouse.
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentExpected_Arrival_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: purchase_order_number
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          schema:
            $ref: >-
              #/components/schemas/WmsInboundShipmentPurchase_Order_NumberQueryParam
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsInboundShipmentsListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsInboundShipmentIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: WmsInboundShipmentIdsQueryParam
    WmsInboundShipmentCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentCreated_DateQueryParam
    WmsInboundShipmentUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentUpdated_DateQueryParam
    WmsInboundShipmentTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentTrackstar_Created_DateQueryParam
    WmsInboundShipmentTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentTrackstar_Updated_DateQueryParam
    WmsInboundShipmentTrackstar_Tags_FlatQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2:value_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: WmsInboundShipmentTrackstar_Tags_FlatQueryParam
    WmsInboundShipmentStatusQueryParam:
      type: object
      properties:
        eq:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: ''
          example: open
        neq:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - in-transit
              - receiving
              - received
              - cancelled
              - other
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - in-transit
              - receiving
              - received
              - cancelled
              - other
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentStatusQueryParam
    WmsInboundShipmentWarehouse_Customer_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: warehouse_cust_id
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentWarehouse_Customer_IdQueryParam
    WmsInboundShipmentWarehouse_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: warehouse_id_1
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentWarehouse_IdQueryParam
    WmsInboundShipmentExpected_Arrival_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2022-10-10T01:02:03Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentExpected_Arrival_DateQueryParam
    WmsInboundShipmentPurchase_Order_NumberQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: PO123
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInboundShipmentPurchase_Order_NumberQueryParam
    WmsInboundShipmentsListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/WmsInboundShipmentApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: WmsInboundShipmentsListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsInboundShipmentApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inbound shipment.
          example: inbound_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the inbound shipment was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inbound shipment was last updated.
          example: '2022-01-02T05:05:05Z'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/InboundShipmentSupplier'
            - type: 'null'
        expected_arrival_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - inventory_item_id: item_id
              sku: sku
              expected_quantity: 2
              received_quantity: 1
              unit_cost: 1
              external_id: external_sku
          items:
            $ref: '#/components/schemas/WmsInboundShipmentLineItem'
        receipts:
          type: array
          description: List of receiving events associated with the inbound shipment.
          example:
            - id: receipt_id
              arrived_date: '2022-10-10T01:02:03Z'
              line_items:
                - inventory_item_id: item_id
                  sku: sku
                  quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceipt'
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddress'
        tracking_numbers:
          type: array
          description: List of tracking numbers associated with the inbound shipment.
          example:
            - tracking_number_1
            - tracking_number_2
          items:
            type: string
            description: Tracking number
            example: tracking_number
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the inbound shipment in the external system (WMS/Freight
            etc).
          example: https://example.com/inboundshipment/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - expected_arrival_date
        - external_system_url
        - id
        - line_items
        - notes
        - purchase_order_number
        - raw_status
        - receipts
        - ship_from_address
        - status
        - supplier_object
        - tracking_numbers
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
        - warehouse_customer_id
        - warehouse_id
      additionalProperties: false
      title: WmsInboundShipmentApiItemSchema
    InboundShipmentSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: InboundShipmentSupplier
    WmsInboundShipmentLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: Total quantity of the item expected to be received.
          example: 2
        received_quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
        unit_cost:
          type:
            - number
            - 'null'
          description: The cost per product that is charged by the manufacturer.
          example: 1
        external_id:
          type:
            - string
            - 'null'
          description: >-
            An identifier from an external system. e.g. vendor sku, external id,
            reference number, etc..
          example: external_sku
      required:
        - expected_quantity
        - external_id
        - inventory_item_id
        - received_quantity
        - sku
        - unit_cost
      additionalProperties: false
      title: WmsInboundShipmentLineItem
    InboundReceipt:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the receiving event.
          example: receipt_id
        arrived_date:
          type: string
          format: date-time
          description: Date the items arrived.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of line items included in the receiving event.
          example:
            - inventory_item_id: item_id
              sku: sku
              quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceiptLineItem'
      required:
        - arrived_date
        - id
        - line_items
      additionalProperties: false
      title: InboundReceipt
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress
    InboundReceiptLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
      required:
        - inventory_item_id
        - quantity
        - sku
      additionalProperties: false
      title: InboundReceiptLineItem

````